最新消息:

Unable to resolve target 'android-XX'解决办法

android 大步 14340浏览 0评论

在搭建好安卓编译环境后,我用Eclipse导入冲git上下载的安卓源码编译时,会提示

Unable to resolve target 'android-17'

等 “Unable to resolve target 'android-XX'  ”之类的错误提示。

这是因为导入的项目代码中project.properties 的 Project target 设置与当前eclipse环境设置不一致所致。

解决办法:

在你导入的安卓项目的后,看到左侧有你的项目文件,选中你的安卓项目名称project,点击右键,弹出选项,接着依次选择propeties——>Android ,然胡会看到以下显示:

Unable to resolve target 'android-15'

根据图片显示的,你会看到不同的安卓版本对应的API的数字,选择正确的,如果没有你要的API,那么就去Android SDK Manager下载对应的API的安卓版本。

你可以到Android SDK Manager里查看你安卓了哪些安卓版本及对应的API level,下面是Android SDK Manager截图:

Unable to resolve target 'android-15'

 

转载请注明:大步's Blog » Unable to resolve target 'android-XX'解决办法

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
SiteMap